#! /bin/sh

# /*
# *********************************************************************************
# *             backup.sh : Robocup 3D Soccer Simulation Team Zigorat             *
# *                                                                               *
# *  Date: 01/24/2009                                                             *
# *  Author: Mahdi Hamdarsi                                                       *
# *  Comments: A not simple script for backing up sources and usefull files.      *
# *                                                                               *
# *********************************************************************************
# */

BACKUP_DIR=./.backups
TEMP_DIR=Zigorat-Backup

cd ..

if test -e Makefile; then
  make clean
fi

mkdir -p ${BACKUP_DIR}
mkdir -p ${BACKUP_DIR}/Old\ Backups
mkdir -p ${TEMP_DIR}

cp -r rsg ${TEMP_DIR}
cp -r conf ${TEMP_DIR}
cp -r src ${TEMP_DIR}
cp -r scripts ${TEMP_DIR}
cp AUTHORS COPYING README INSTALL CMakeLists.txt Doxyfile ${TEMP_DIR}
cp .directory ${TEMP_DIR}
cp Zigorat.kdev* ${TEMP_DIR}

touch ${BACKUP_DIR}/empty.tar.gz
mv -f ${BACKUP_DIR}/*.gz ./.backups/Old\ Backups
rm -f ./.backups/Old\ Backups/empty.tar.gz
tar zcf ${BACKUP_DIR}/`date +%Y-%m-%d`.tar.gz ${TEMP_DIR}
rm -rf ${TEMP_DIR}

echo "Backup created successfully"
