#! /bin/sh

# /*
# *********************************************************************************
# *         make_release.sh : Robocup 3D Soccer Simulation Team Zigorat           *
# *                                                                               *
# *  Date: 01/24/2009                                                             *
# *  Author: Mahdi Hamdarsi                                                       *
# *  Comments: A simple script to create a release version of the source code     *
# *                                                                               *
# *********************************************************************************
# */

echo -n "Enter release version/name: "
read version
if test -n "${version}"; then
  RELEASE_DIR=Zigorat

  cd ..
  if test -e Makefile; then
  make clean
  fi
  mkdir -p ${RELEASE_DIR}

  cp -r rsg ${RELEASE_DIR}
  cp -r conf ${RELEASE_DIR}
  cp -r src ${RELEASE_DIR}
  cp -r scripts ${RELEASE_DIR}
  cp AUTHORS COPYING README INSTALL CMakeLists.txt ${RELEASE_DIR}

  tar zcf ${RELEASE_DIR}-${version}.tar.gz ${RELEASE_DIR}
  rm -rf ${RELEASE_DIR}
  mv ${RELEASE_DIR}-${version}.tar.gz /home/Klaus/

  echo "${RELEASE_DIR}-${version}.tar.gz created successfully"
else
  echo "Version/Name is not valid"
  exit 1
fi
