

#ifndef JOINT_H
#define JOINT_H

#include "SoccerTypes.h"
#include "WorldModel.h"
#include "Logger.h"
#include "ActHandler.h"
#include <iostream>
#include <fstream>
#include <sstream>

class Joint
{
private:
	double ang;
	double this_ang;
	double last_ang;
	double last_ang2;
	double temp;
	double CurrentAngle;
	JointT joint;
protected:
    WorldModel         * WM;
    Logger             * Log;
    ActHandler         * ACT;
    AgentSettings      * AS;
    bool 	putAngle									(JointT joint, double value , double gain , double error = -1);
	double 	getT_i										(double K_p);
	double 	getT_d										(double K_p);
//	double	getAngle									(double value , double CurrentAngle , double gain);
	double 	getValue									();
	void 	setValue									(double value , double currentAngle);

public:
	double 	getCurrentAngle								();
	void 	setCurrentAngle								();
	double  getSentAngle								();
	double  getLast_ang									();
	bool 	adjustJoint									();
//	bool 	adjustJoint									(double);
	bool 	setAngle									(double value , double gain,double error=-1);
	Joint												(JointT this_joint =  JID_ILLEGAL	);
	bool initial												(JointT this_joint 	);
		~Joint												();
	static Joint *getSingelton							();
    static Joint *singletonOperation 					(bool free);

};

#endif
